Bug 202051 - empty summary/comment field with simple/advanced query doesn't work
empty summary/comment field with simple/advanced query doesn't work
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 11:46 EDT by Nils Philippsen
Modified: 2007-04-18 13:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 12:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2006-08-10 11:46:16 EDT
Description of problem:

Without specifying one of the "Summary" or "Comments" search fields, both simple
and advanced query end up in:

"""
Relevance Without Full Text Search
You can't see or sort by the 'relevance' field if you aren't also doing a full
text search.

Please press Back and try again.
"""

If I add "&order=bugs.bug_id" to the URL, it works fine again, i.e. it tries to
sort per relevance which it can't do if both fields are empty, so perhaps it
should just assume "order=bugs.bug_id" if that is the case.
Comment 1 David Lawrence 2006-08-10 13:28:01 EDT
Can you paste the contents of your LASTORDER cookie?
Comment 2 Nils Philippsen 2006-08-11 04:11:30 EDT
It's "relevance".
Comment 3 Alex Lancaster 2006-09-07 08:17:03 EDT
I have the same problem, also reported on bug #202051.  Please fix soon, it
makes bugzilla.redhat.com unusable.
Comment 4 David Lawrence 2006-09-07 12:25:13 EDT
Removed reference to relevance and chose standard order of bug_id. Please clear
out any bugzilla.redhat.com LASTORDER cookies using your browser preferences and
try your searches again. Please reopen bug if doesnt solve for you.

Note You need to log in before you can comment on or make changes to this bug.